import z from 'zod';
export declare const refreshResponseSchema: z.ZodObject<{
    refreshToken: z.ZodString;
    accessToken: z.ZodString;
    expiresIn: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    accessToken: string;
    refreshToken: string;
    expiresIn: number;
}, {
    accessToken: string;
    refreshToken: string;
    expiresIn: number;
}>;
declare const RefreshResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    refreshToken: z.ZodString;
    accessToken: z.ZodString;
    expiresIn: z.ZodNumber;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    accessToken: string;
    refreshToken: string;
    expiresIn: number;
}, {
    accessToken: string;
    refreshToken: string;
    expiresIn: number;
}>>;
export declare class RefreshResponseDto extends RefreshResponseDto_base {
}
export {};
