import z from 'zod';
export declare const getAllCannedResponseResponseSchema: z.ZodObject<{
    cannedResponses: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        content: z.ZodString;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        content: string;
        created_at: Date;
        updated_at: Date;
    }, {
        id: string;
        name: string;
        content: string;
        created_at: Date;
        updated_at: Date;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    cannedResponses: {
        id: string;
        name: string;
        content: string;
        created_at: Date;
        updated_at: Date;
    }[];
}, {
    cannedResponses: {
        id: string;
        name: string;
        content: string;
        created_at: Date;
        updated_at: Date;
    }[];
}>;
declare const GetAllCannedResponseResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    cannedResponses: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        content: z.ZodString;
        created_at: z.ZodString;
        updated_at: z.ZodString;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        id: string;
        name: string;
        content: string;
        created_at: string;
        updated_at: string;
    }, {
        id: string;
        name: string;
        content: string;
        created_at: string;
        updated_at: string;
    }>, "many">;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    cannedResponses: {
        id: string;
        name: string;
        content: string;
        created_at: string;
        updated_at: string;
    }[];
}, {
    cannedResponses: {
        id: string;
        name: string;
        content: string;
        created_at: string;
        updated_at: string;
    }[];
}>>;
export declare class GetAllCannedResponseResponseDto extends GetAllCannedResponseResponseDto_base {
}
export {};
