import z from 'zod';
export declare const eventFolderSchema: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    color: z.ZodString;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, "strip", z.ZodTypeAny, {
    id: string;
    name: string;
    color: string;
    created_at: Date;
    updated_at: Date;
}, {
    id: string;
    name: string;
    color: string;
    created_at: Date;
    updated_at: Date;
}>;
