"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateAccountResponseDto = exports.createAccountResponseSchema = exports.CreateAccountDto = exports.createAccountSchema = void 0;
const account_dto_1 = require("./account.dto");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
exports.createAccountSchema = account_dto_1.accountSchema.pick({
    username: true,
    password: true,
    role: true,
});
class CreateAccountDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.createAccountSchema) {
}
exports.CreateAccountDto = CreateAccountDto;
exports.createAccountResponseSchema = account_dto_1.accountSchema.omit({
    password: true,
    created_at: true,
    updated_at: true,
});
class CreateAccountResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.createAccountResponseSchema) {
}
exports.CreateAccountResponseDto = CreateAccountResponseDto;
//# sourceMappingURL=create-account.dto.js.map