"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetByIdEventFolderResponseDto = exports.getByIdEventFolderResponseSchema = void 0;
const event_folder_dto_1 = require("./event-folder.dto");
const event_dto_1 = require("../../event/dto/event.dto");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const zod_1 = __importDefault(require("zod"));
exports.getByIdEventFolderResponseSchema = event_folder_dto_1.eventFolderSchema.merge(zod_1.default.object({
    events: zod_1.default.array(event_dto_1.eventSchema),
}));
class GetByIdEventFolderResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.getByIdEventFolderResponseSchema) {
}
exports.GetByIdEventFolderResponseDto = GetByIdEventFolderResponseDto;
//# sourceMappingURL=get-by-id-event-folder.dto.js.map